Index: GUICoverFlow.cs
===================================================================
--- GUICoverFlow.cs	(revision 26774)
+++ GUICoverFlow.cs	(working copy)
@@ -100,6 +100,7 @@
     [XMLSkinElement("scrollbarWidth")] protected int _scrollbarWidth = 400;
     [XMLSkinElement("scrollbarHeight")] protected int _scrollbarHeight = 15;
     [XMLSkinElement("showScrollbar")] protected bool _showScrollbar = true;
+    [XMLSkinElement("keepaspectratio")] protected bool _keepAspectRatio = true;
     [XMLSkin("cards", "flipY")] protected bool _flipY = false;
     [XMLSkin("cards", "diffuse")] protected string _diffuseFilename = "";
     [XMLSkin("cards", "mask")] protected string _maskFilename = "";
@@ -1069,7 +1070,7 @@
                                pItem.ThumbnailImage, 0x0);
 
           pCard.ParentControl = null; // We want to be able to treat each card as a control.
-          pCard.KeepAspectRatio = true;
+          pCard.KeepAspectRatio = _keepAspectRatio;
           pCard.Zoom = !pItem.IsFolder;
           pCard.FlipY = _flipY;
           pCard.DiffuseFileName = _diffuseFilename;
@@ -1094,7 +1095,7 @@
           }
 
           // Ensure our card is setup as we expect because other views (filmstrip) may have changed these values.
-          pCard.KeepAspectRatio = true;
+          pCard.KeepAspectRatio = _keepAspectRatio;
           pCard.Zoom = !pItem.IsFolder;
           pCard.FlipY = _flipY;
           pCard.DiffuseFileName = _diffuseFilename;
@@ -1119,7 +1120,7 @@
                                pItem.IconImageBig, 0x0);
 
           pCard.ParentControl = null; // We want to be able to treat each card as a control.
-          pCard.KeepAspectRatio = true;
+          pCard.KeepAspectRatio = _keepAspectRatio;
           pCard.Zoom = !pItem.IsFolder;
           pCard.FlipY = _flipY;
           pCard.DiffuseFileName = _diffuseFilename;
@@ -1143,7 +1144,7 @@
           }
 
           // Ensure our card is setup as we expect because other views (filmstrip) may have changed these values.
-          pCard.KeepAspectRatio = true;
+          pCard.KeepAspectRatio = _keepAspectRatio;
           pCard.Zoom = !pItem.IsFolder;
           pCard.FlipY = _flipY;
           pCard.DiffuseFileName = _diffuseFilename;
